13 Replies Latest reply: Nov 13, 2013 3:50 AM by EdithfromRE
Tiger Karl Level 1 Level 1 (0 points)

Is my older MacBook Pro with the Intel core duo processor compatible with iCloud? This machine cannot run OS 10.7 Lion because it doesn't have the core 2 duo processor. I'm running Snow Leopard.  My problem is I already upgraded my MobileMe account to iCloud on my iMac desktop (running Lion) and my iPhone 4 (iOS 5). All my data is now in the cloud and I'm unable to sync to the MacBook Pro. I think I know the answer... and it's not good.